<?

require_once("include/bittorrent.php");

hit_start();

dbconn();
$id = 0 + $_GET["id"];
if ($id == 0){
$id = $CURUSER["id"];
}


$res = mysql_query("SELECT username FROM users WHERE id IN (" . implode("", $_POST[conusr]) . ") AND status='pending'");
$row = mysql_fetch_assoc($res);
$username = $row[username];


$email = unesc($_POST["email"]);
mysql_query("UPDATE users SET status = 'confirmed' WHERE id IN (" . implode("", $_POST[conusr]) . ") AND status='pending'");

$message = <<<EOD
Hallo,

Dein Account auf dem Webseeds-Tracker wurde freigeschaltet und du kannst dich jetzt dort einloggen.
Bitte ließ dir dort erst die Faq und Regeln durch bevor du irgendetwas saugts!
Viel Glück und Spass auf dem Webseeds-Tracker.

$BASEURL/login.php
EOD;

mail($email, "$SITENAME Account Confirmation", $message, "From: $SITEEMAIL");

$text = "[b][color=".red."]Der User[/color] [color=".blue."]".$username."[/color] [color=".red."]wurde gerade von seinem Inviter freigeschaltet![/color][/b]";
$date=time();

mysql_query("INSERT INTO shoutbox (id, userid, username, date, text) VALUES ('id'," . sqlesc('0') . ", " . sqlesc('System') . ", $date, " . sqlesc($text) . ")");


header("Refresh: 0; url=invite.php?id=$id");

hit_end();

?>